Mercury API
msgAddGEN2DataWrite Method (msg, timeout, bank, wordAddress, data)
Namespaces ► ThingMagic ► SerialReader ► msgAddGEN2DataWrite(List<(Of <(Byte>)>)%, UInt16, Gen2..::.Bank, UInt32, array<UInt16>[]()[])
Assemble the embedded command for DataWrite
Declaration Syntax

C# | Visual Basic | Visual C++

    [ObsoleteAttribute]
    public byte msgAddGEN2DataWrite(
    	ref List<byte> msg,
    	ushort timeout,
    	Gen2..::.Bank bank,
    	uint wordAddress,
    	ushort[] data
    )

    <ObsoleteAttribute> _
    Public Function msgAddGEN2DataWrite ( _
    	ByRef msg As List(Of Byte), _
    	timeout As UShort, _
    	bank As Gen2..::.Bank, _
    	wordAddress As UInteger, _
    	data As UShort() _
    ) As Byte

    [ObsoleteAttribute]
    public:
    unsigned char msgAddGEN2DataWrite(
    	List<unsigned char>^% msg,
    	unsigned short timeout,
    	Gen2..::.Bank bank,
    	unsigned int wordAddress,
    	array<unsigned short>^ data
    )

Parameters

msg ( List <(Of <( Byte >)>) %)
  The embedded command bytes

timeout (UInt16)
  The operation timeout

bank (Gen2..::.Bank)
  The memory bank to write

wordAddress (UInt32)
  Write starting address

data (array< UInt16 >[]()[])
  The data to write

Return Value
the length of the assembled embedded command

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)